Subject: Re: Genart telechat review of draft-ietf-6man-rfc1981bis-06

From: Bob Hinden <[email-masked]>
Date: Fri, 5 May 2017 15:32:12 +0300

> On Apr 25, 2017, at 9:26 PM, Joe Touch <[email-masked]> wrote:
> 
> Hi, Stewart,
> 
> 
> On 4/24/2017 10:12 AM, Stewart Bryant wrote:
>> Minor issues:
>> 
>> A node MUST NOT reduce its estimate of the Path MTU below the IPv6
>> minimum link MTU.
>> 
>> SB> I missed this last time.
>> SB>
>> SB> Presumably you mean "A node MUST NOT reduce its estimate of the
>> SB> Path MTU below the IPv6 minimum link MTU in response to such
>> SB> a message."
> This seems fine to me, FWIW - i.e., limiting the advice in this doc to
> the mechanism in  this doc.

I will add something, but this sentence follows:

   If a node receives a Packet Too Big message reporting a next-hop
   MTU that is less than the IPv6 minimum link MTU, it MUST discard it.

so I think the context was clear.

Bob

> 
>> SB>
>> SB> Otherwise I would have thought that this was entirely a matter
>> SB> for the host whether it wanted to use a Path MTU below the IPv6
>> SB> link minimum. Nothing breaks if the host takes a more conservative
>> SB> decision.
> I don't agree; the host at that point is violating RFC2460. It should
> never think that an IPv6 link or path with an MTU below what RFC2460
> requires is valid.
> 
> Joe
>

---

From: Joe Touch <[email-masked]>
Date: Fri, 5 May 2017 10:04:45 -0700

Hi, Bob,

AOK. Thanks,

Joe